<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_hotel_submenuinfo.php" ?>
<?php include "tbl_hotelinfo.php" ?>
<?php include "tbl_languageinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_hotel_submenu_edit = new ctbl_hotel_submenu_edit();
$Page =& $tbl_hotel_submenu_edit;

// Page init
$tbl_hotel_submenu_edit->Page_Init();

// Page main
$tbl_hotel_submenu_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_hotel_submenu_edit = new ew_Page("tbl_hotel_submenu_edit");

// page properties
tbl_hotel_submenu_edit.PageID = "edit"; // page ID
tbl_hotel_submenu_edit.FormID = "ftbl_hotel_submenuedit"; // form ID
var EW_PAGE_ID = tbl_hotel_submenu_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_hotel_submenu_edit.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_hotel_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_hotel_submenu->hotel_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_language_id"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_hotel_submenu->language_id->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_title"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_hotel_submenu->title->FldCaption()) ?>");
		elm = fobj.elements["x" + infix + "_description"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_hotel_submenu->description->FldCaption()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_hotel_submenu_edit.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_hotel_submenu_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_hotel_submenu_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript" src="fckeditor/fckeditor.js"></script>
<script type="text/javascript">
<!--
_width_multiplier = 16;
_height_multiplier = 60;
var ew_DHTMLEditors = [];

// update value from editor to textarea
function ew_UpdateTextArea() {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {			
			var inst;			
			for (inst in FCKeditorAPI.__Instances)
				FCKeditorAPI.__Instances[inst].UpdateLinkedField();
	}
}

// update value from textarea to editor
function ew_UpdateDHTMLEditor(name) {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {
		var inst = FCKeditorAPI.GetInstance(name);		
		if (inst)
			inst.SetHTML(inst.LinkedField.value)
	}
}

// focus editor
function ew_FocusDHTMLEditor(name) {
	if (typeof ew_DHTMLEditors != 'undefined' && typeof FCKeditorAPI != 'undefined') {
		var inst = FCKeditorAPI.GetInstance(name);	
		if (inst && inst.EditorWindow) {
			inst.EditorWindow.focus();
		}
	}
}

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Edit") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_hotel_submenu->TableCaption() ?><br><br>
<a href="<?php echo $tbl_hotel_submenu->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_hotel_submenu_edit->ShowMessage();
?>
<form name="ftbl_hotel_submenuedit" id="ftbl_hotel_submenuedit" action="<?php echo ew_CurrentPage() ?>" method="post">
<p>
<input type="hidden" name="a_table" id="a_table" value="tbl_hotel_submenu">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_hotel_submenu->submenu_id->Visible) { // submenu_id ?>
	<tr<?php echo $tbl_hotel_submenu->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel_submenu->submenu_id->FldCaption() ?></td>
		<td<?php echo $tbl_hotel_submenu->submenu_id->CellAttributes() ?>><span id="el_submenu_id">
<div<?php echo $tbl_hotel_submenu->submenu_id->ViewAttributes() ?>><?php echo $tbl_hotel_submenu->submenu_id->EditValue ?></div><input type="hidden" name="x_submenu_id" id="x_submenu_id" value="<?php echo ew_HtmlEncode($tbl_hotel_submenu->submenu_id->CurrentValue) ?>">
</span><?php echo $tbl_hotel_submenu->submenu_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel_submenu->hotel_id->Visible) { // hotel_id ?>
	<tr<?php echo $tbl_hotel_submenu->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel_submenu->hotel_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_hotel_submenu->hotel_id->CellAttributes() ?>><span id="el_hotel_id">
<?php if ($tbl_hotel_submenu->hotel_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_hotel_submenu->hotel_id->ViewAttributes() ?>><?php echo $tbl_hotel_submenu->hotel_id->ViewValue ?></div>
<input type="hidden" id="x_hotel_id" name="x_hotel_id" value="<?php echo ew_HtmlEncode($tbl_hotel_submenu->hotel_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_hotel_id" name="x_hotel_id" title="<?php echo $tbl_hotel_submenu->hotel_id->FldTitle() ?>"<?php echo $tbl_hotel_submenu->hotel_id->EditAttributes() ?>>
<?php
if (is_array($tbl_hotel_submenu->hotel_id->EditValue)) {
	$arwrk = $tbl_hotel_submenu->hotel_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_hotel_submenu->hotel_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `hotel_or_id`, `hotel_name`, '' AS Disp2Fld FROM `tbl_hotel`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_hotel_id" id="s_x_hotel_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_hotel_id" id="lft_x_hotel_id" value="">
<?php } ?>
</span><?php echo $tbl_hotel_submenu->hotel_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel_submenu->language_id->Visible) { // language_id ?>
	<tr<?php echo $tbl_hotel_submenu->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel_submenu->language_id->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_hotel_submenu->language_id->CellAttributes() ?>><span id="el_language_id">
<?php if ($tbl_hotel_submenu->language_id->getSessionValue() <> "") { ?>
<div<?php echo $tbl_hotel_submenu->language_id->ViewAttributes() ?>><?php echo $tbl_hotel_submenu->language_id->ViewValue ?></div>
<input type="hidden" id="x_language_id" name="x_language_id" value="<?php echo ew_HtmlEncode($tbl_hotel_submenu->language_id->CurrentValue) ?>">
<?php } else { ?>
<select id="x_language_id" name="x_language_id" title="<?php echo $tbl_hotel_submenu->language_id->FldTitle() ?>"<?php echo $tbl_hotel_submenu->language_id->EditAttributes() ?>>
<?php
if (is_array($tbl_hotel_submenu->language_id->EditValue)) {
	$arwrk = $tbl_hotel_submenu->language_id->EditValue;
	$rowswrk = count($arwrk);
	$emptywrk = TRUE;
	for ($rowcntwrk = 0; $rowcntwrk < $rowswrk; $rowcntwrk++) {
		$selwrk = (strval($tbl_hotel_submenu->language_id->CurrentValue) == strval($arwrk[$rowcntwrk][0])) ? " selected=\"selected\"" : "";
		if ($selwrk <> "") $emptywrk = FALSE;
?>
<option value="<?php echo ew_HtmlEncode($arwrk[$rowcntwrk][0]) ?>"<?php echo $selwrk ?>>
<?php echo $arwrk[$rowcntwrk][1] ?>
</option>
<?php
	}
}
?>
</select>
<?php
$sSqlWrk = "SELECT `language_id`, `language`, '' AS Disp2Fld FROM `tbl_language`";
$sWhereWrk = "";
if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
$sSqlWrk = TEAencrypt($sSqlWrk, EW_RANDOM_KEY);
?>
<input type="hidden" name="s_x_language_id" id="s_x_language_id" value="<?php echo $sSqlWrk; ?>">
<input type="hidden" name="lft_x_language_id" id="lft_x_language_id" value="">
<?php } ?>
</span><?php echo $tbl_hotel_submenu->language_id->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel_submenu->title->Visible) { // title ?>
	<tr<?php echo $tbl_hotel_submenu->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel_submenu->title->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_hotel_submenu->title->CellAttributes() ?>><span id="el_title">
<input type="text" name="x_title" id="x_title" title="<?php echo $tbl_hotel_submenu->title->FldTitle() ?>" size="75" maxlength="100" value="<?php echo $tbl_hotel_submenu->title->EditValue ?>"<?php echo $tbl_hotel_submenu->title->EditAttributes() ?>>
</span><?php echo $tbl_hotel_submenu->title->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($tbl_hotel_submenu->description->Visible) { // description ?>
	<tr<?php echo $tbl_hotel_submenu->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_hotel_submenu->description->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_hotel_submenu->description->CellAttributes() ?>><span id="el_description">
<textarea name="x_description" id="x_description" title="<?php echo $tbl_hotel_submenu->description->FldTitle() ?>" cols="35" rows="7"<?php echo $tbl_hotel_submenu->description->EditAttributes() ?>><?php echo $tbl_hotel_submenu->description->EditValue ?></textarea>
<script type="text/javascript">
<!--
ew_DHTMLEditors.push(new ew_DHTMLEditor("x_description", function() {
	var sBasePath = 'fckeditor/';
	var oFCKeditor = new FCKeditor('x_description', 35*_width_multiplier, 7*_height_multiplier);
	oFCKeditor.BasePath = sBasePath;
	oFCKeditor.ReplaceTextarea();
	this.active = true;
}));
-->
</script>
</span><?php echo $tbl_hotel_submenu->description->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="button" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("EditBtn")) ?>" onclick="ew_SubmitForm(tbl_hotel_submenu_edit, this.form);">
</form>
<script language="JavaScript" type="text/javascript">
<!--
ew_UpdateOpts([['x_hotel_id','x_hotel_id',false],
['x_language_id','x_language_id',false]]);

//-->
</script>
<script type="text/javascript">
<!--
ew_CreateEditor();  // Create DHTML editor(s)

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_hotel_submenu_edit->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_hotel_submenu_edit {

	// Page ID
	var $PageID = 'edit';

	// Table name
	var $TableName = 'tbl_hotel_submenu';

	// Page object name
	var $PageObjName = 'tbl_hotel_submenu_edit';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_hotel_submenu;
		if ($tbl_hotel_submenu->UseTokenInUrl) $PageUrl .= "t=" . $tbl_hotel_submenu->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_hotel_submenu;
		if ($tbl_hotel_submenu->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_hotel_submenu->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_hotel_submenu->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_hotel_submenu_edit() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_hotel_submenu)
		$GLOBALS["tbl_hotel_submenu"] = new ctbl_hotel_submenu();

		// Table object (tbl_hotel)
		$GLOBALS['tbl_hotel'] = new ctbl_hotel();

		// Table object (tbl_language)
		$GLOBALS['tbl_language'] = new ctbl_language();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_hotel_submenu', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_hotel_submenu;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter;
	var $sDbDetailFilter;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_hotel_submenu;

		// Load key from QueryString
		if (@$_GET["submenu_id"] <> "")
			$tbl_hotel_submenu->submenu_id->setQueryStringValue($_GET["submenu_id"]);

		// Set up master detail parameters
		$this->SetUpMasterDetail();
		if (@$_POST["a_edit"] <> "") {
			$tbl_hotel_submenu->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_hotel_submenu->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
				$tbl_hotel_submenu->EventCancelled = TRUE; // Event cancelled
				$this->RestoreFormValues();
			}
		} else {
			$tbl_hotel_submenu->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($tbl_hotel_submenu->submenu_id->CurrentValue == "")
			$this->Page_Terminate("tbl_hotel_submenulist.php"); // Invalid key, return to list
		switch ($tbl_hotel_submenu->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage($Language->Phrase("NoRecord")); // No record found
					$this->Page_Terminate("tbl_hotel_submenulist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$tbl_hotel_submenu->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage($Language->Phrase("UpdateSuccess")); // Update success
					$sReturnUrl = $tbl_hotel_submenu->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$tbl_hotel_submenu->EventCancelled = TRUE; // Event cancelled
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$tbl_hotel_submenu->RowType = EW_ROWTYPE_EDIT; // Render as Edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_hotel_submenu;

		// Get upload data
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_hotel_submenu;
		$tbl_hotel_submenu->submenu_id->setFormValue($objForm->GetValue("x_submenu_id"));
		$tbl_hotel_submenu->hotel_id->setFormValue($objForm->GetValue("x_hotel_id"));
		$tbl_hotel_submenu->language_id->setFormValue($objForm->GetValue("x_language_id"));
		$tbl_hotel_submenu->title->setFormValue($objForm->GetValue("x_title"));
		$tbl_hotel_submenu->description->setFormValue($objForm->GetValue("x_description"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_hotel_submenu;
		$this->LoadRow();
		$tbl_hotel_submenu->submenu_id->CurrentValue = $tbl_hotel_submenu->submenu_id->FormValue;
		$tbl_hotel_submenu->hotel_id->CurrentValue = $tbl_hotel_submenu->hotel_id->FormValue;
		$tbl_hotel_submenu->language_id->CurrentValue = $tbl_hotel_submenu->language_id->FormValue;
		$tbl_hotel_submenu->title->CurrentValue = $tbl_hotel_submenu->title->FormValue;
		$tbl_hotel_submenu->description->CurrentValue = $tbl_hotel_submenu->description->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_hotel_submenu;
		$sFilter = $tbl_hotel_submenu->KeyFilter();

		// Call Row Selecting event
		$tbl_hotel_submenu->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_hotel_submenu->CurrentFilter = $sFilter;
		$sSql = $tbl_hotel_submenu->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_hotel_submenu->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_hotel_submenu;
		$tbl_hotel_submenu->submenu_id->setDbValue($rs->fields('submenu_id'));
		$tbl_hotel_submenu->hotel_id->setDbValue($rs->fields('hotel_id'));
		$tbl_hotel_submenu->language_id->setDbValue($rs->fields('language_id'));
		$tbl_hotel_submenu->title->setDbValue($rs->fields('title'));
		$tbl_hotel_submenu->description->setDbValue($rs->fields('description'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_hotel_submenu;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_hotel_submenu->Row_Rendering();

		// Common render codes for all row types
		// submenu_id

		$tbl_hotel_submenu->submenu_id->CellCssStyle = ""; $tbl_hotel_submenu->submenu_id->CellCssClass = "";
		$tbl_hotel_submenu->submenu_id->CellAttrs = array(); $tbl_hotel_submenu->submenu_id->ViewAttrs = array(); $tbl_hotel_submenu->submenu_id->EditAttrs = array();

		// hotel_id
		$tbl_hotel_submenu->hotel_id->CellCssStyle = ""; $tbl_hotel_submenu->hotel_id->CellCssClass = "";
		$tbl_hotel_submenu->hotel_id->CellAttrs = array(); $tbl_hotel_submenu->hotel_id->ViewAttrs = array(); $tbl_hotel_submenu->hotel_id->EditAttrs = array();

		// language_id
		$tbl_hotel_submenu->language_id->CellCssStyle = ""; $tbl_hotel_submenu->language_id->CellCssClass = "";
		$tbl_hotel_submenu->language_id->CellAttrs = array(); $tbl_hotel_submenu->language_id->ViewAttrs = array(); $tbl_hotel_submenu->language_id->EditAttrs = array();

		// title
		$tbl_hotel_submenu->title->CellCssStyle = ""; $tbl_hotel_submenu->title->CellCssClass = "";
		$tbl_hotel_submenu->title->CellAttrs = array(); $tbl_hotel_submenu->title->ViewAttrs = array(); $tbl_hotel_submenu->title->EditAttrs = array();

		// description
		$tbl_hotel_submenu->description->CellCssStyle = ""; $tbl_hotel_submenu->description->CellCssClass = "";
		$tbl_hotel_submenu->description->CellAttrs = array(); $tbl_hotel_submenu->description->ViewAttrs = array(); $tbl_hotel_submenu->description->EditAttrs = array();
		if ($tbl_hotel_submenu->RowType == EW_ROWTYPE_VIEW) { // View row

			// submenu_id
			$tbl_hotel_submenu->submenu_id->ViewValue = $tbl_hotel_submenu->submenu_id->CurrentValue;
			$tbl_hotel_submenu->submenu_id->CssStyle = "";
			$tbl_hotel_submenu->submenu_id->CssClass = "";
			$tbl_hotel_submenu->submenu_id->ViewCustomAttributes = "";

			// hotel_id
			if (strval($tbl_hotel_submenu->hotel_id->CurrentValue) <> "") {
				$sFilterWrk = "`hotel_or_id` = " . ew_AdjustSql($tbl_hotel_submenu->hotel_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `hotel_name` FROM `tbl_hotel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel_submenu->hotel_id->ViewValue = $rswrk->fields('hotel_name');
					$rswrk->Close();
				} else {
					$tbl_hotel_submenu->hotel_id->ViewValue = $tbl_hotel_submenu->hotel_id->CurrentValue;
				}
			} else {
				$tbl_hotel_submenu->hotel_id->ViewValue = NULL;
			}
			$tbl_hotel_submenu->hotel_id->CssStyle = "";
			$tbl_hotel_submenu->hotel_id->CssClass = "";
			$tbl_hotel_submenu->hotel_id->ViewCustomAttributes = "";

			// language_id
			if (strval($tbl_hotel_submenu->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_hotel_submenu->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel_submenu->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_hotel_submenu->language_id->ViewValue = $tbl_hotel_submenu->language_id->CurrentValue;
				}
			} else {
				$tbl_hotel_submenu->language_id->ViewValue = NULL;
			}
			$tbl_hotel_submenu->language_id->CssStyle = "";
			$tbl_hotel_submenu->language_id->CssClass = "";
			$tbl_hotel_submenu->language_id->ViewCustomAttributes = "";

			// title
			$tbl_hotel_submenu->title->ViewValue = $tbl_hotel_submenu->title->CurrentValue;
			$tbl_hotel_submenu->title->CssStyle = "";
			$tbl_hotel_submenu->title->CssClass = "";
			$tbl_hotel_submenu->title->ViewCustomAttributes = "";

			// description
			$tbl_hotel_submenu->description->ViewValue = $tbl_hotel_submenu->description->CurrentValue;
			$tbl_hotel_submenu->description->CssStyle = "";
			$tbl_hotel_submenu->description->CssClass = "";
			$tbl_hotel_submenu->description->ViewCustomAttributes = "";

			// submenu_id
			$tbl_hotel_submenu->submenu_id->HrefValue = "";
			$tbl_hotel_submenu->submenu_id->TooltipValue = "";

			// hotel_id
			$tbl_hotel_submenu->hotel_id->HrefValue = "";
			$tbl_hotel_submenu->hotel_id->TooltipValue = "";

			// language_id
			$tbl_hotel_submenu->language_id->HrefValue = "";
			$tbl_hotel_submenu->language_id->TooltipValue = "";

			// title
			$tbl_hotel_submenu->title->HrefValue = "";
			$tbl_hotel_submenu->title->TooltipValue = "";

			// description
			$tbl_hotel_submenu->description->HrefValue = "";
			$tbl_hotel_submenu->description->TooltipValue = "";
		} elseif ($tbl_hotel_submenu->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// submenu_id
			$tbl_hotel_submenu->submenu_id->EditCustomAttributes = "";
			$tbl_hotel_submenu->submenu_id->EditValue = $tbl_hotel_submenu->submenu_id->CurrentValue;
			$tbl_hotel_submenu->submenu_id->CssStyle = "";
			$tbl_hotel_submenu->submenu_id->CssClass = "";
			$tbl_hotel_submenu->submenu_id->ViewCustomAttributes = "";

			// hotel_id
			$tbl_hotel_submenu->hotel_id->EditCustomAttributes = "";
			if ($tbl_hotel_submenu->hotel_id->getSessionValue() <> "") {
				$tbl_hotel_submenu->hotel_id->CurrentValue = $tbl_hotel_submenu->hotel_id->getSessionValue();
			if (strval($tbl_hotel_submenu->hotel_id->CurrentValue) <> "") {
				$sFilterWrk = "`hotel_or_id` = " . ew_AdjustSql($tbl_hotel_submenu->hotel_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `hotel_name` FROM `tbl_hotel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel_submenu->hotel_id->ViewValue = $rswrk->fields('hotel_name');
					$rswrk->Close();
				} else {
					$tbl_hotel_submenu->hotel_id->ViewValue = $tbl_hotel_submenu->hotel_id->CurrentValue;
				}
			} else {
				$tbl_hotel_submenu->hotel_id->ViewValue = NULL;
			}
			$tbl_hotel_submenu->hotel_id->CssStyle = "";
			$tbl_hotel_submenu->hotel_id->CssClass = "";
			$tbl_hotel_submenu->hotel_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_hotel_submenu->hotel_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`hotel_or_id` = " . ew_AdjustSql($tbl_hotel_submenu->hotel_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `hotel_or_id`, `hotel_name`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_hotel`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_hotel_submenu->hotel_id->EditValue = $arwrk;
			}

			// language_id
			$tbl_hotel_submenu->language_id->EditCustomAttributes = "";
			if ($tbl_hotel_submenu->language_id->getSessionValue() <> "") {
				$tbl_hotel_submenu->language_id->CurrentValue = $tbl_hotel_submenu->language_id->getSessionValue();
			if (strval($tbl_hotel_submenu->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_hotel_submenu->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel_submenu->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_hotel_submenu->language_id->ViewValue = $tbl_hotel_submenu->language_id->CurrentValue;
				}
			} else {
				$tbl_hotel_submenu->language_id->ViewValue = NULL;
			}
			$tbl_hotel_submenu->language_id->CssStyle = "";
			$tbl_hotel_submenu->language_id->CssClass = "";
			$tbl_hotel_submenu->language_id->ViewCustomAttributes = "";
			} else {
			if (trim(strval($tbl_hotel_submenu->language_id->CurrentValue)) == "") {
				$sFilterWrk = "0=1";
			} else {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_hotel_submenu->language_id->CurrentValue) . "";
			}
			$sSqlWrk = "SELECT `language_id`, `language`, '' AS Disp2Fld, '' AS SelectFilterFld FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
			$rswrk = $conn->Execute($sSqlWrk);
			$arwrk = ($rswrk) ? $rswrk->GetRows() : array();
			if ($rswrk) $rswrk->Close();
			array_unshift($arwrk, array("", $Language->Phrase("PleaseSelect")));
			$tbl_hotel_submenu->language_id->EditValue = $arwrk;
			}

			// title
			$tbl_hotel_submenu->title->EditCustomAttributes = "";
			$tbl_hotel_submenu->title->EditValue = ew_HtmlEncode($tbl_hotel_submenu->title->CurrentValue);

			// description
			$tbl_hotel_submenu->description->EditCustomAttributes = "";
			$tbl_hotel_submenu->description->EditValue = ew_HtmlEncode($tbl_hotel_submenu->description->CurrentValue);

			// Edit refer script
			// submenu_id

			$tbl_hotel_submenu->submenu_id->HrefValue = "";

			// hotel_id
			$tbl_hotel_submenu->hotel_id->HrefValue = "";

			// language_id
			$tbl_hotel_submenu->language_id->HrefValue = "";

			// title
			$tbl_hotel_submenu->title->HrefValue = "";

			// description
			$tbl_hotel_submenu->description->HrefValue = "";
		}

		// Call Row Rendered event
		if ($tbl_hotel_submenu->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_hotel_submenu->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_hotel_submenu;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_hotel_submenu->hotel_id->FormValue) && $tbl_hotel_submenu->hotel_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_hotel_submenu->hotel_id->FldCaption();
		}
		if (!is_null($tbl_hotel_submenu->language_id->FormValue) && $tbl_hotel_submenu->language_id->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_hotel_submenu->language_id->FldCaption();
		}
		if (!is_null($tbl_hotel_submenu->title->FormValue) && $tbl_hotel_submenu->title->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_hotel_submenu->title->FldCaption();
		}
		if (!is_null($tbl_hotel_submenu->description->FormValue) && $tbl_hotel_submenu->description->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_hotel_submenu->description->FldCaption();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $Language, $tbl_hotel_submenu;
		$sFilter = $tbl_hotel_submenu->KeyFilter();
		$tbl_hotel_submenu->CurrentFilter = $sFilter;
		$sSql = $tbl_hotel_submenu->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// hotel_id
			$tbl_hotel_submenu->hotel_id->SetDbValueDef($rsnew, $tbl_hotel_submenu->hotel_id->CurrentValue, 0, FALSE);

			// language_id
			$tbl_hotel_submenu->language_id->SetDbValueDef($rsnew, $tbl_hotel_submenu->language_id->CurrentValue, 0, FALSE);

			// title
			$tbl_hotel_submenu->title->SetDbValueDef($rsnew, $tbl_hotel_submenu->title->CurrentValue, "", FALSE);

			// description
			$tbl_hotel_submenu->description->SetDbValueDef($rsnew, $tbl_hotel_submenu->description->CurrentValue, "", FALSE);

			// Call Row Updating event
			$bUpdateRow = $tbl_hotel_submenu->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($tbl_hotel_submenu->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($tbl_hotel_submenu->CancelMessage <> "") {
					$this->setMessage($tbl_hotel_submenu->CancelMessage);
					$tbl_hotel_submenu->CancelMessage = "";
				} else {
					$this->setMessage($Language->Phrase("UpdateCancelled"));
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$tbl_hotel_submenu->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Set up master/detail based on QueryString
	function SetUpMasterDetail() {
		global $tbl_hotel_submenu;
		$bValidMaster = FALSE;

		// Get the keys for master table
		if (@$_GET[EW_TABLE_SHOW_MASTER] <> "") {
			$sMasterTblVar = $_GET[EW_TABLE_SHOW_MASTER];
			if ($sMasterTblVar == "") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = "";
				$this->sDbDetailFilter = "";
			}
			if ($sMasterTblVar == "tbl_language") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_hotel_submenu->SqlMasterFilter_tbl_language();
				$this->sDbDetailFilter = $tbl_hotel_submenu->SqlDetailFilter_tbl_language();
				if (@$_GET["language_id"] <> "") {
					$GLOBALS["tbl_language"]->language_id->setQueryStringValue($_GET["language_id"]);
					$tbl_hotel_submenu->language_id->setQueryStringValue($GLOBALS["tbl_language"]->language_id->QueryStringValue);
					$tbl_hotel_submenu->language_id->setSessionValue($tbl_hotel_submenu->language_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_language"]->language_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@language_id@", ew_AdjustSql($GLOBALS["tbl_language"]->language_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@language_id@", ew_AdjustSql($GLOBALS["tbl_language"]->language_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
			if ($sMasterTblVar == "tbl_hotel") {
				$bValidMaster = TRUE;
				$this->sDbMasterFilter = $tbl_hotel_submenu->SqlMasterFilter_tbl_hotel();
				$this->sDbDetailFilter = $tbl_hotel_submenu->SqlDetailFilter_tbl_hotel();
				if (@$_GET["hotel_or_id"] <> "") {
					$GLOBALS["tbl_hotel"]->hotel_or_id->setQueryStringValue($_GET["hotel_or_id"]);
					$tbl_hotel_submenu->hotel_id->setQueryStringValue($GLOBALS["tbl_hotel"]->hotel_or_id->QueryStringValue);
					$tbl_hotel_submenu->hotel_id->setSessionValue($tbl_hotel_submenu->hotel_id->QueryStringValue);
					if (!is_numeric($GLOBALS["tbl_hotel"]->hotel_or_id->QueryStringValue)) $bValidMaster = FALSE;
					$this->sDbMasterFilter = str_replace("@hotel_or_id@", ew_AdjustSql($GLOBALS["tbl_hotel"]->hotel_or_id->QueryStringValue), $this->sDbMasterFilter);
					$this->sDbDetailFilter = str_replace("@hotel_id@", ew_AdjustSql($GLOBALS["tbl_hotel"]->hotel_or_id->QueryStringValue), $this->sDbDetailFilter);
				} else {
					$bValidMaster = FALSE;
				}
			}
		}
		if ($bValidMaster) {

			// Save current master table
			$tbl_hotel_submenu->setCurrentMasterTable($sMasterTblVar);

			// Reset start record counter (new master key)
			$this->lStartRec = 1;
			$tbl_hotel_submenu->setStartRecordNumber($this->lStartRec);
			$tbl_hotel_submenu->setMasterFilter($this->sDbMasterFilter); // Set up master filter
			$tbl_hotel_submenu->setDetailFilter($this->sDbDetailFilter); // Set up detail filter

			// Clear previous master key from Session
			if ($sMasterTblVar <> "tbl_language") {
				if ($tbl_hotel_submenu->language_id->QueryStringValue == "") $tbl_hotel_submenu->language_id->setSessionValue("");
			}
			if ($sMasterTblVar <> "tbl_hotel") {
				if ($tbl_hotel_submenu->hotel_id->QueryStringValue == "") $tbl_hotel_submenu->hotel_id->setSessionValue("");
			}
		} else {
			$this->sDbMasterFilter = $tbl_hotel_submenu->getMasterFilter(); //  Restore master filter
			$this->sDbDetailFilter = $tbl_hotel_submenu->getDetailFilter(); // Restore detail filter
		}
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
